<?php
/*==========================================================================*\
|| ######################################################################## ||
|| # Video-Verzeichnis 1.1.0 RC 2 (functions_videodirectory.php, Created: 11/14/2008 15:49)
|| # -------------------------------------------------------------------- # ||
|| # Copyright 2007-2008 Julian Schuh. All Rights Reserved.
|| # This file may not be redistributed in whole or significant part.     # ||
|| # -------------------------------------------------------------------- # ||
|| # http://vbpoint.org/board/versioncheck.php?do=findrelease&vbversion=3-7&language=en&productid=videodirectory
|| ######################################################################## ||
\*==========================================================================*/

function fetch_videothumbnail(&$video)
{
	global $vbulletin;

	$video['thumbnailpath'] = $vbulletin->options['videodirectory_thumbnaildir'] . '/' . $video['videoservice'] . '/' . $video['videoidservice'] . '.jpg';

	return $video['thumbnailpath'];
}

function build_video_counters($videoid)
{
	global $vbulletin;

	if (!$videoinfo = $vbulletin->db->query_first("
		SELECT video.*
		FROM " . TABLE_PREFIX . "video AS video
		WHERE video.videoid = '" . intval($videoid) . "'")
	)
	{
		return false;
	}

	$count = $vbulletin->db->query_first("
		SELECT COUNT(*) AS total
		FROM " . TABLE_PREFIX . "videocomment
		WHERE videoid = '" . intval($videoinfo['videoid']) . "' AND state = 'visible'
	");

	//We don't need to initialize the dastamanager fpr this update
	$vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "video SET commentcount = '" . $count['total'] . "' WHERE videoid = '" . $videoinfo['videoid'] . "'");
}

function construct_small_video_bit(&$video)
{
	global $vbphrase, $vbulletin, $bgclass, $show, $stylevar;

	$bgclass = exec_switch_bg();
	fetch_videothumbnail($video);

	$video['url'] = construct_video_url($video);

	eval('$bit = "' . fetch_template('video_bit_small') . '";');

	return $bit;
}

function construct_video_bit(&$video, $showcat = true)
{
	global $vbphrase, $vbulletin, $bgclass, $show, $stylevar;

	$video['description'] = htmlspecialchars_uni(strip_bbcode($video['description']));

	if ($vbulletin->options['videodirectory_descpreviewlen'])
	{
		$video['description'] = fetch_trimmed_title($video['description'], $vbulletin->options['videodirectory_descpreviewlen']);
	}

	$video['views'] = vb_number_format($video['views']);

	$video['date'] = vbdate($vbulletin->options['dateformat'], $video['dateline']);
	$video['time'] = vbdate($vbulletin->options['timeformat'], $video['dateline']);

	fetch_musername($video);

	if ($showcat)
	{
		$video['cattitle'] =& $vbulletin->videocats["$video[videocategoryid]"]['title'];
		$video['caturl'] = construct_category_url($vbulletin->videocats["$video[videocategoryid]"]);
	}

	if ($video['ratingnum'])
	{
		$video['ratingavg'] = vb_number_format($video['ratingtotal'] / $video['ratingnum'], 2);
		$video['rating'] = intval(round($video['ratingtotal'] / $video['ratingnum']));
		$show['video_rating'] = true;
	}
	else
	{
		$show['video_rating'] = false;
	}

	$video['url'] = construct_video_url($video);

	fetch_videothumbnail($video);
	eval('$bit = "' . fetch_template('video_bit') . '";');

	return $bit;
}

function construct_video_url(&$video)
{
	global $vbulletin;
	if (defined('VBSEO_ENABLED'))
	{
		$cat =& $vbulletin->videocats["$video[videocategoryid]"];
		$url = 'video.php?' . $vbulletin->session->vars['sessionurl'] . 'do=viewdetails&amp;categoryid=' . $video['videocategoryid'] . '&amp;categorytitle=' . vbseo_filter_text($cat['title']) . '&amp;videoid=' . $video['videoid'] . '&amp;videotitle=' . vbseo_filter_text($video['title']);
	}
	else
	{
		$url = 'video.php?' . $vbulletin->session->vars['sessionurl'] . 'do=viewdetails&amp;videoid=' . $video['videoid'];
	}

	return $url;
}

function construct_category_url(&$category, $append = '')
{
	global $vbulletin;
	if (defined('VBSEO_ENABLED'))
	{
		$url = 'video.php?' . $vbulletin->session->vars['sessionurl'] . 'do=viewcategory&amp;categoryid=' . $category['videocategoryid'] . '&amp;categorytitle=' . vbseo_filter_text($category['title']) . $append;
	}
	else
	{
		$url = 'video.php?' . $vbulletin->session->vars['sessionurl'] . 'do=viewcategory&amp;categoryid=' . $category['videocategoryid'] . $append;
	}

	return $url;
}

/*======================================================================*\
|| ####################################################################
|| # $Date: 2008-09-27 11:20:02 +0200 (Sa, 27. Sep 2008) $
|| # $Revision: 9 $
|| ####################################################################
\*======================================================================*/
?>