/*==========================================================================*\
|| ######################################################################## ||
|| # Video-Verzeichnis 1.1.0 RC 2 (vbulletin_ajax_videodirectory.js, Created: 11/14/2008 15:49)
|| # -------------------------------------------------------------------- # ||
|| # Copyright 2007-2008 Julian Schuh. All Rights Reserved.
|| # This file may not be redistributed in whole or significant part.     # ||
|| # -------------------------------------------------------------------- # ||
|| # http://vbpoint.org/board/versioncheck.php?do=findrelease&vbversion=3-7&language=en&productid=videodirectory
|| ######################################################################## ||
\*==========================================================================*/

function request_videoinfo()
{
	if (!fetch_object('videourl').value)
	{
		return false;
	}

	YAHOO.util.Connect.asyncRequest("POST", "video.php?do=videoinfo", {
		success: handel_videoinfo,
		failure: vBulletin_AJAX_Error_Handler,
		timeout: 15000
	}, SESSIONURL + 'securitytoken=' + SECURITYTOKEN + "&url=" + PHP.urlencode(fetch_object('videourl').value) + "&wysiwyg=" + vB_Editor[editor_id].wysiwyg_mode);

	fetch_object('videoajaxbutton').value = vbphrase['requesting_information_please_wait'];
	fetch_object('videoajaxbutton').disabled = true;

	return false;
}

function handel_videoinfo(ajax)
{
	if (ajax.responseXML)
	{
		// check for error first
		var error = ajax.responseXML.getElementsByTagName('error');
		if (error.length)
		{
			fetch_object('thumbnail').setAttribute('src', '');
			fetch_object('thumbnail_border').style.display = 'none';
			alert(error[0].firstChild.nodeValue);
		}
		else
		{
			try
			{
				var description = ajax.responseXML.getElementsByTagName('description')[0].firstChild.nodeValue;
				vB_Editor[editor_id].insert_text(description);
			}
			catch (e)
			{
			}

			try
			{
				var title = ajax.responseXML.getElementsByTagName('title')[0].firstChild.nodeValue;
				fetch_object('videotitle').value = title;
			}
			catch (e)
			{
			}

			try
			{
				var videothumbnailpath = ajax.responseXML.getElementsByTagName('thumbnailpath')[0].firstChild.nodeValue;
				fetch_object('thumbnail').setAttribute('src', videothumbnailpath);
				fetch_object('thumbnail_border').style.display = '';
			}
			catch (e)
			{
			}
		}
	}
	fetch_object('videoajaxbutton').value = vbphrase['request_videoinfo_from_service'];
	fetch_object('videoajaxbutton').disabled = false;
}

/*======================================================================*\
|| ####################################################################
|| # $Date: 2008-09-22 19:56:11 +0200 (Mo, 22. Sep 2008) $
|| # $Revision: 3 $
|| ####################################################################
\*======================================================================*/